org.jboss.netty.handler.codec.http

## Enum HttpMessageDecoder.State

- java.lang.Object
- - java.lang.Enum<HttpMessageDecoder.State>
  - - org.jboss.netty.handler.codec.http.HttpMessageDecoder.State

- All Implemented Interfaces:
    Serializable, Comparable<HttpMessageDecoder.State>
  Enclosing class:
    HttpMessageDecoder

      protected static enum HttpMessageDecoder.State
      extends Enum<HttpMessageDecoder.State>

  The internal state of `HttpMessageDecoder`. Internal use only.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ_CHUNK_DELIMITER`
    `READ_CHUNK_FOOTER`
    `READ_CHUNK_SIZE`
    `READ_CHUNKED_CONTENT`
    `READ_CHUNKED_CONTENT_AS_CHUNKS`
    `READ_FIXED_LENGTH_CONTENT`
    `READ_FIXED_LENGTH_CONTENT_AS_CHUNKS`
    `READ_HEADER`
    `READ_INITIAL`
    `READ_VARIABLE_LENGTH_CONTENT`
    `READ_VARIABLE_LENGTH_CONTENT_AS_CHUNKS`
    `SKIP_CONTROL_CHARS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpMessageDecoder.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HttpMessageDecoder.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SKIP_CONTROL_CHARS

          public static final HttpMessageDecoder.State SKIP_CONTROL_CHARS

    - #### READ_INITIAL

          public static final HttpMessageDecoder.State READ_INITIAL

    - #### READ_HEADER

          public static final HttpMessageDecoder.State READ_HEADER

    - #### READ_VARIABLE_LENGTH_CONTENT

          public static final HttpMessageDecoder.State READ_VARIABLE_LENGTH_CONTENT

    - #### READ_VARIABLE_LENGTH_CONTENT_AS_CHUNKS

          public static final HttpMessageDecoder.State READ_VARIABLE_LENGTH_CONTENT_AS_CHUNKS

    - #### READ_FIXED_LENGTH_CONTENT

          public static final HttpMessageDecoder.State READ_FIXED_LENGTH_CONTENT

    - #### READ_FIXED_LENGTH_CONTENT_AS_CHUNKS

          public static final HttpMessageDecoder.State READ_FIXED_LENGTH_CONTENT_AS_CHUNKS

    - #### READ_CHUNK_SIZE

          public static final HttpMessageDecoder.State READ_CHUNK_SIZE

    - #### READ_CHUNKED_CONTENT

          public static final HttpMessageDecoder.State READ_CHUNKED_CONTENT

    - #### READ_CHUNKED_CONTENT_AS_CHUNKS

          public static final HttpMessageDecoder.State READ_CHUNKED_CONTENT_AS_CHUNKS

    - #### READ_CHUNK_DELIMITER

          public static final HttpMessageDecoder.State READ_CHUNK_DELIMITER

    - #### READ_CHUNK_FOOTER

          public static final HttpMessageDecoder.State READ_CHUNK_FOOTER

  - ### Method Detail

    - #### values

          public static HttpMessageDecoder.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HttpMessageDecoder.State c : HttpMessageDecoder.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HttpMessageDecoder.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2012 The Netty Project. All Rights Reserved.